> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List meeting files in a Space

> One entry per file: video, audio, transcript or summary. An empty list can also mean the meetings index did not answer.



## OpenAPI

````yaml /api-reference/endpoint/workspaces/openapi.json get /workspaces/meetings
openapi: 3.0.3
info:
  title: Workspaces Service API
  version: 1.0.0
  description: API for managing workspaces, tasks, and comments
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /workspaces/meetings:
    get:
      summary: List meeting files in a Space
      description: >-
        One entry per file: video, audio, transcript or summary. An empty list
        can also mean the meetings index did not answer.
      operationId: listMeetings
      parameters:
        - name: space_id
          in: query
          required: true
          schema:
            type: string
        - name: file_type
          in: query
          schema:
            type: string
            enum:
              - video
              - audio
              - transcript
              - summary
        - name: recording_id
          in: query
          schema:
            type: string
        - name: folder
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
        - name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: Meeting files
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingFileList'
components:
  schemas:
    MeetingFileList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/MeetingFile'
        results_total:
          type: integer
    MeetingFile:
      type: object
      properties:
        space_id:
          type: string
        folder:
          type: string
        file_type:
          type: string
          enum:
            - video
            - audio
            - transcript
            - summary
        recording_id:
          type: string
        bot_id:
          type: string
        title:
          type: string
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        file:
          type: object
          properties:
            name:
              type: string
            size:
              type: integer
            mtime:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.